package com.yeejoin.amos.boot.module.hygf.api.mapper;

import com.yeejoin.amos.boot.module.hygf.api.config.UserEmpower;
import com.yeejoin.amos.boot.module.hygf.api.dto.FinancingInfoDto;
import com.yeejoin.amos.boot.module.hygf.api.entity.FinancingInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigInteger;
import java.util.List;
import java.util.Map;

/**
 *  Mapper 接口
 *
 * @author system_generator
 * @date 2024-04-01
 */
public interface FinancingInfoMapper extends BaseMapper<FinancingInfo> {
   @UserEmpower(field = {"sta.regional_companies_code"},dealerField = {"sta.developer_code","sta.regional_companies_code"},fieldConditions = {"eq","in"},relationship = {"and"})
   List<Map<String,Object>> getStationFinancingInfoList(@Param(value = "params") Map<String,Object> params,@Param(value = "amosOrgCodes")List<String> amosOrgCodes);


   FinancingInfoDto selectDataInfo(@Param("peasantHouseholdId")Long peasantHouseholdId);

   List<Map<String,Object>> selectOrgList();

   List<Map<String,Object>> orgListByqyid(@Param("ids") List<String> ids);

   Map<String,Object> selectRZOrgInfo(Long id);

   List<Map<String,Object>> selectCompany(@Param("ids")List<String> ids);

   List<Map<String,Object>> selectRegion();

   List<Map<String,Object>> selectRegionByParentCode(String parentCode, String level);

   List<Map<String, Object>> getTrCreateTime();

   List<Map<String, Object>> getTrEndTime();

}
